# GET /v1/staffs

Annictに登録されているスタッフ情報を取得することができます。

## フィールド

| 名前                      | 概要                                                                                                                        |
| ----------------------- | ------------------------------------------------------------------------------------------------------------------------- |
| id                      | ID                                                                                                                        |
| name                    | 名前                                                                                                                        |
| name\_en                | 名前 (英語表記)                                                                                                                 |
| role\_text              | 担当。主要な担当名 (監督やアニメーション制作など) が登録されています。                                                                                     |
| role\_other             | その他の担当                                                                                                                    |
| role\_other\_en         | その他の担当 (英語表記)                                                                                                             |
| sort\_number            | ソート番号                                                                                                                     |
| work                    | 紐づく作品情報。取得できるフィールドは [Works](/docs/ja/api/v1/works.md) と同じです。                                                              |
| person または organization | 紐づく人物または団体情報。取得できるフィールドは [People](/docs/ja/api/v1/people.md) または [Organizations](/docs/ja/api/v1/organizations.md) と同じです。 |

## パラメータ

| 名前                 | 概要                                                | 使用例                     |
| ------------------ | ------------------------------------------------- | ----------------------- |
| fields             | レスポンスボディに含まれるデータのフィールドを絞り込みます。                    | fields=id,name          |
| filter\_ids        | IDで絞り込みます。                                        | filter\_ids=1,2,3       |
| filter\_work\_id   | 作品IDで絞り込みます。                                      | filter\_work\_id=1111   |
| page               | ページ数を指定します。                                       | page=2                  |
| per\_page          | 1ページに何件取得するかを指定します。デフォルトは `25` 件で、`50` 件まで指定できます。 | per\_page=30            |
| sort\_id           | IDで並び替えます。`asc` または `desc` が指定できます。               | sort\_id=desc           |
| sort\_sort\_number | ソート用の番号で並び替えます。`asc` または `desc` が指定できます。          | sort\_sort\_number=desc |

## リクエスト例

```
$ curl -X GET https://api.annict.com/v1/staffs?access_token=(access_token)&filter_ids=35319
```

```javascript
{
  "staffs": [
    {
      "id": 35319,
      "name": "京都アニメーション",
      "name_en": "",
      "role_text": "アニメーション制作",
      "role_other": "",
      "role_other_en": "",
      "sort_number": 200,
      "work": {
        "id": 4308,
        "title": "響け！ユーフォニアム",
        ...
      },
      "organization": {
        "id": 74,
        "name": "京都アニメーション",
        ...
      }
    }
  ],
  "total_count": 1,
  "next_page": null,
  "prev_page": null
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.annict.com/docs/ja/api/v1/staffs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
